Skip to main content

GET Custom Fields

GET /user-api/v1/custom-fields

Headers

Query Parameters

string
Set a limit to the number of records to return (Default:25)
string
Number of records to skip.
string
Sort order: created_at:asc, created_at:desc, name:asc, name:desc
string
Filter by field type: SINGLE_LINE_TEXT, USER, SINGLE_SELECT, MULTI_SELECT, DATE, NUMERIC, BOOLEAN
string
Filter by entity type: CONTACT, COMPANY

Response

With Entity Type Filter

GET /user-api/v1/custom-fields?entity_type=CONTACT&limit=10

Response with entity type filter

With Combined Filters

GET /user-api/v1/custom-fields?field_type=SINGLE_SELECT&entity_type=COMPANY&limit=10

Response with combined filters

GET a Custom Field

GET /user-api/v1/custom-fields/:id

Path Parameters

string
Custom Field ID

Endpoint Example

GET /user-api/v1/custom-fields/field_12345

Response

Field Types

Entity Types